#include <com spi valores maestro.h>

#FUSES NOMCLR

#use spi (MASTER, CLK=PIN_B1, DI=PIN_B0, DO=PIN_C7, BAUD=9600, MODE=0, BITS=8)

#define enviar PIN_C2

void main()
{
    setup_adc(ADC_CLOCK_INTERNAL);

   int16 POT=0;
   int16 regPOT=0;

   int16 SENSOR=0;
   int16 regSENSOR=0;

   int8 parte_baja;
   int8 parte_alta;


   while(TRUE)
   {
      
       set_adc_channel (0);//lectura Vout del potenciometro en PIN AN0
       POT = read_adc();// lectura del valor
       
       parte_baja = POT & 0xFF;
       parte_alta = (POT >> 8) & 0xFF;


       if (regPOT != POT)
       {
          output_bit(enviar,0);
          spi_write(0x01);
          spi_write(parte_baja);
          spi_write(parte_alta);
          output_bit(enviar,1);
          
          regPOT = POT;
       }

       delay_ms(100);
       
       set_adc_channel (1);//lectura Vout del sensor en PIN AN1
       SENSOR = read_adc();// lectura del valor
       
       parte_baja = SENSOR & 0xFF;
       parte_alta = (SENSOR >> 8) & 0xFF;

       if (regSENSOR != SENSOR)
       {
          output_bit(enviar,0);
          spi_write(0x02);
          spi_write(parte_baja);
          spi_write(parte_alta);
          output_bit(enviar,1);
          
          regSENSOR = SENSOR;
       }

        delay_ms(100);
   }

}
